Bug 431310 - Review Request: color-filesystem - Color filesystem layout
Review Request: color-filesystem - Color filesystem layout
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 239936 285351
  Show dependency treegraph
 
Reported: 2008-02-02 10:12 EST by Nicolas Chauvet (kwizart)
Modified: 2008-02-17 22:16 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-17 22:16:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Nicolas Chauvet (kwizart) 2008-02-02 10:12:25 EST
Spec URL: http://kwizart.fedorapeople.org/SPECS/color-filesystem.spec
SRPM URL: http://kwizart.fedorapeople.org/SRPMS/color-filesystem-1-1.src.rpm
Description: Color filesystem layout
Comment 1 Nicolas Chauvet (kwizart) 2008-02-02 10:15:00 EST
I don't know what BR gawk in kde-filesystem but I've kept it.

Comment 2 Jason Tibbitts 2008-02-02 20:02:16 EST
The build dependency on gawk isn't needed at all; you might as well get rid of
it. It's needed in the kde-filesystem package because that specfile actually
calls awk.

Packaging-wise, I see nothing wrong with this package.  It only contains three
directories (two empty) and one set of RPM macros, and macro usage, specfile
naming, package naming, permissions, dependencies and directory ownership are
all OK.  On that I'm inclined to approve this.

However, I wonder at the need to make a separate filesystem package for three
directories, and the annoyance at needing something to provide color-filesystem
forever once this gets in even if it turns out it's not a good idea.  Has anyone
talked to the maintainer of the filesystem package to see if these three
directories could be added?  The same goes for the rpm folks and the macros.
Comment 3 Nicolas Chauvet (kwizart) 2008-02-02 20:30:26 EST
I've tried to raise the problem on fedora-devel-list:
https://www.redhat.com/archives/fedora-devel-list/2007-September/msg01875.html
But I didn't get much answear.

I thought the problem to include theses macros and directories to the filesystem
package means directories to be part of the "Filesystem Hierarchy Standard",
which they aren't until then.
Comment 4 Patrice Dumas 2008-02-03 05:38:02 EST
I guess that there are many directories in the filesystem package that
are not in the FHS and, even if not, it is not an issue to add a set of
common directories in -- if they really fit in.
Comment 5 Nicolas Chauvet (kwizart) 2008-02-14 09:22:35 EST
Any filesystem maintainer to gives advices ?
Can i add this myself ?

Comment 6 Jason Tibbitts 2008-02-15 22:31:53 EST
I guess anyone who has an opinion has had a chance to comment here or on the
mailing list, and at this point I'd approve it if you drop the unnecessary gawk
dependency.  OK?
Comment 7 Nicolas Chauvet (kwizart) 2008-02-16 06:40:09 EST
Ok, let's introduce color-filesystem
Can I remove gawk just before import?

Comment 8 Jason Tibbitts 2008-02-16 14:59:22 EST
Yes, go ahead.

APPROVED
Comment 9 Nicolas Chauvet (kwizart) 2008-02-17 05:30:14 EST
New Package CVS Request
=======================
Package Name:      color-filesystem
Short Description: Color filesystem layout
Owners:            kwizart
Branches:          F-8
InitialCC:         <empty>
Commits by cvsextras: yes
Comment 10 Kevin Fenzi 2008-02-17 12:28:18 EST
cvs done.
Comment 11 Nicolas Chauvet (kwizart) 2008-02-17 22:16:13 EST
thx for your review!

Note You need to log in before you can comment on or make changes to this bug.